/*******************************************************************************
* File Name: Rotary_Encoder1.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Rotary_Encoder1_H) /* Pins Rotary_Encoder1_H */
#define CY_PINS_Rotary_Encoder1_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Rotary_Encoder1_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Rotary_Encoder1_Write(uint8 value) ;
void    Rotary_Encoder1_SetDriveMode(uint8 mode) ;
uint8   Rotary_Encoder1_ReadDataReg(void) ;
uint8   Rotary_Encoder1_Read(void) ;
uint8   Rotary_Encoder1_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Rotary_Encoder1_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Rotary_Encoder1_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Rotary_Encoder1_DM_RES_UP          PIN_DM_RES_UP
#define Rotary_Encoder1_DM_RES_DWN         PIN_DM_RES_DWN
#define Rotary_Encoder1_DM_OD_LO           PIN_DM_OD_LO
#define Rotary_Encoder1_DM_OD_HI           PIN_DM_OD_HI
#define Rotary_Encoder1_DM_STRONG          PIN_DM_STRONG
#define Rotary_Encoder1_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Rotary_Encoder1_MASK               Rotary_Encoder1__MASK
#define Rotary_Encoder1_SHIFT              Rotary_Encoder1__SHIFT
#define Rotary_Encoder1_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Rotary_Encoder1_PS                     (* (reg8 *) Rotary_Encoder1__PS)
/* Data Register */
#define Rotary_Encoder1_DR                     (* (reg8 *) Rotary_Encoder1__DR)
/* Port Number */
#define Rotary_Encoder1_PRT_NUM                (* (reg8 *) Rotary_Encoder1__PRT) 
/* Connect to Analog Globals */                                                  
#define Rotary_Encoder1_AG                     (* (reg8 *) Rotary_Encoder1__AG)                       
/* Analog MUX bux enable */
#define Rotary_Encoder1_AMUX                   (* (reg8 *) Rotary_Encoder1__AMUX) 
/* Bidirectional Enable */                                                        
#define Rotary_Encoder1_BIE                    (* (reg8 *) Rotary_Encoder1__BIE)
/* Bit-mask for Aliased Register Access */
#define Rotary_Encoder1_BIT_MASK               (* (reg8 *) Rotary_Encoder1__BIT_MASK)
/* Bypass Enable */
#define Rotary_Encoder1_BYP                    (* (reg8 *) Rotary_Encoder1__BYP)
/* Port wide control signals */                                                   
#define Rotary_Encoder1_CTL                    (* (reg8 *) Rotary_Encoder1__CTL)
/* Drive Modes */
#define Rotary_Encoder1_DM0                    (* (reg8 *) Rotary_Encoder1__DM0) 
#define Rotary_Encoder1_DM1                    (* (reg8 *) Rotary_Encoder1__DM1)
#define Rotary_Encoder1_DM2                    (* (reg8 *) Rotary_Encoder1__DM2) 
/* Input Buffer Disable Override */
#define Rotary_Encoder1_INP_DIS                (* (reg8 *) Rotary_Encoder1__INP_DIS)
/* LCD Common or Segment Drive */
#define Rotary_Encoder1_LCD_COM_SEG            (* (reg8 *) Rotary_Encoder1__LCD_COM_SEG)
/* Enable Segment LCD */
#define Rotary_Encoder1_LCD_EN                 (* (reg8 *) Rotary_Encoder1__LCD_EN)
/* Slew Rate Control */
#define Rotary_Encoder1_SLW                    (* (reg8 *) Rotary_Encoder1__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Rotary_Encoder1_PRTDSI__CAPS_SEL       (* (reg8 *) Rotary_Encoder1__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Rotary_Encoder1_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Rotary_Encoder1__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Rotary_Encoder1_PRTDSI__OE_SEL0        (* (reg8 *) Rotary_Encoder1__PRTDSI__OE_SEL0) 
#define Rotary_Encoder1_PRTDSI__OE_SEL1        (* (reg8 *) Rotary_Encoder1__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Rotary_Encoder1_PRTDSI__OUT_SEL0       (* (reg8 *) Rotary_Encoder1__PRTDSI__OUT_SEL0) 
#define Rotary_Encoder1_PRTDSI__OUT_SEL1       (* (reg8 *) Rotary_Encoder1__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Rotary_Encoder1_PRTDSI__SYNC_OUT       (* (reg8 *) Rotary_Encoder1__PRTDSI__SYNC_OUT) 


#if defined(Rotary_Encoder1__INTSTAT)  /* Interrupt Registers */

    #define Rotary_Encoder1_INTSTAT                (* (reg8 *) Rotary_Encoder1__INTSTAT)
    #define Rotary_Encoder1_SNAP                   (* (reg8 *) Rotary_Encoder1__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Rotary_Encoder1_H */


/* [] END OF FILE */
